using PARR.Core.Repositories.Interfaces.JobGroupRepositories;
using PARR.DAL.Context;
using PARR.Domain.Entities.JobGroupEntities;

namespace PARR.DAL.Repositories.JobGroupRepositories
{
    internal class JobGroupAutoControlRepository : IJobGroupAutoControlRepository
    {
        private readonly DataContext _dataContext;

        public JobGroupAutoControlRepository(DataContext dataContext)
        {
            _dataContext = dataContext;
        }

        public IQueryable<JobGroupAutoControl> Get()
        {
            return _dataContext.JobGroupAutoControls;
        }
    }
}
